<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Termine\TerminAbsagen;

class SendTerminAbsagenPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getContent()
  {
    $view = $this->getView();

    return $view->getNoColumn();
  }

  protected function getView()
  {
    return new TerminAbsagenView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new TerminAbsagenViewModel();
    $viewModel->kurs = $this->useCaseResponse->kurs;
    $viewModel->kurs->success = $this->useCaseResponse->success;
    $viewModel->kurstage = $this->useCaseResponse->kurstage;

    return $viewModel;
  }

  protected function getJsFilesSrcAryWeitere(): array
  {
    return array(
      $this->getJsFileFromSys('kontaktformular.js')
    );
  }
}